/*
    Modified: 100819.1300
*/

var currentSection;
var currentNav;
var currentNavNum;
var currentVideo;
var lastVideoSectionId;
// var isVideo = false;

function navHilite(obj)
{
	if(checkNavNotSelected(obj)){
		obj.style.textDecoration = 'underline';
	}
}

function navUnhilite(obj)
{
	if(checkNavNotSelected(obj)){
		obj.style.textDecoration = 'none';
	}
}

function checkNavNotSelected(obj)
{
	if(currentNav != null){
		if(obj == currentNav){
			return false;
		}
	}
	return true;
}

function showSection(obj, secNum) {
    if (isVideo) {
        hideOverlay();
    }

	navUnhilite(obj);

	if(!checkNavNotSelected(obj)){
		return;
	}
	//alert(secNum);
	
	var sectionId = 'sect_' + secNum;
	var sect = document.getElementById(sectionId);
	if(sect != null){
		var homeSect = document.getElementById('sect_1');
		if(homeSect != null){
			homeSect.style.display = 'none';
		}
		if(currentSection != null){
			currentSection.style.display = 'none';
		}
		sect.style.display = 'block';
		currentSection = sect;
		scrollTo(0, 0);
	}

	var navId = 'nav_' + secNum;
	var nav = document.getElementById(navId);
	if(nav != null){
		if(currentNav != null){
			currentNav.className = 'training_nav';
		}
		nav.className = 'training_nav_selected';
		currentNav = nav;
		currentNavNum = secNum;
    }
}

function gotoSection(secNum) {
    var nav = 'nav_' + secNum;
    var navObj = document.getElementById(nav);
    if (nav != null) {
        showSection(navObj, secNum);
    }
}

function buttonHilite(obj) {
    obj.src = obj.src.replace('_norm', '_hover');
}


function buttonUnhilite(obj) {
    obj.src = obj.src.replace('_hover', '_norm');
    obj.src = obj.src.replace('_click', '_norm');
}

function buttonPressed(obj) {
    obj.src = obj.src.replace('_hover', '_click');
}

function playVideo(videoNumber) {
	setTimeout(stopVideo, 500);
    var videoId = 'movie' + videoNumber;
    currentVideo = document.getElementById(videoId);
    setTimeout(startVideo, 1000);
}

function stopVideo() {
    if (currentVideo != null) {
        //alert(currentVideo.id);
        currentVideo.Rewind();
        currentVideo.Stop();
    }
}

function startVideo() {
    var status = currentVideo.GetPluginStatus();
    if (status.indexOf('Error:') > -1) {
        return;
    }
    if (status != 'Complete') {
        setTimeout(startVideo, 250);
    }
    currentVideo.Play();
}

function movieEndedHandler() {
    //alert('movie ended');
    setTimeout(showOverlay, 1000);
}
function showOverlay() {
    document.getElementById('overlay').style.display = 'block';
    if (currentSection.id == lastVideoSectionId) {
        document.getElementById('playNextBtn').style.display = 'none';
    }
    document.getElementById('overlayControl').style.display = 'block';
}

function hideOverlay() {
    var overlayCtrl = document.getElementById('overlayControl');
    if (overlayCtrl == null) {
        return;
    }
    overlayCtrl.style.display = 'none';
    document.getElementById('playNextBtn').style.display = 'inline';
    document.getElementById('overlay').style.display = 'none';
}

function replayVideo() {
    stopVideo();
    hideOverlay();
    startVideo();
}

function playNextVideo() {
    var nextNavNum = currentNavNum + 1;
    var nextNavId = 'nav_' + nextNavNum;
    var nextNav = document.getElementById(nextNavId);

    if (nextNav != null) {
        showSection(nextNav, nextNavNum);
        playVideo(nextNavNum);
    }
}


function registerVideoHandlers() {
    var allMovies = document.getElementsByTagName('object');
    if (allMovies.length == 0) {
        return;
    }
   // isVideo = true;
    lastVideoSectionId = 'sect_' + (allMovies.length + 2);
    
    for (var i = 0; i < allMovies.length; i++) {
        addListener(allMovies[i], 'qt_ended', movieEndedHandler, true);
    }

    var newObject = document.createElement('object');
    var attrNode = document.createAttribute('id');
    newObject.setAttribute('id', 'qt_event_source');
    newObject.setAttribute('classid', 'clsid:CB927D12-4FF7-4a9e-A169-56E4B8A75598');
    newObject.setAttribute('codebase', '"http://www.apple.com/qtactivex/qtplugin.cab#version=7,2,1,0');
    var docParts = document.documentElement.childNodes;
    for (i = 0; i < docParts.length; i++) {
        if (docParts[i].nodeName == 'HEAD') {
            docParts[i].appendChild(newObject);
        }
    }
}

function addListener(obj, evt, handler, captures) {
    if (document.addEventListener) {
        obj.addEventListener(evt, handler, captures);
    }
    else {
        // IE
        obj.attachEvent('on' + evt, handler);
    }
}

function setTitleBackground() {
    if (!isVideo) {
        return;
    }
    var obj = document.getElementById('titlediv');
    if (obj != null) {
        obj.style.backgroundColor = '#EEEEEE';
    }
}
